<Type Name="SoapException" FullName="System.Web.Services.Protocols.SoapException">
  <TypeSignature Language="C#" Value="public class SoapException : System.SystemException, ISerializable" Maintainer="auto" />
  <AssemblyInfo>
    <AssemblyName>System.Web.Services</AssemblyName>
    <AssemblyPublicKey></AssemblyPublicKey>
    <AssemblyVersion>1.0.5000.0</AssemblyVersion>
    <AssemblyCulture>neutral</AssemblyCulture>
    <Attributes>
      <Attribute>
        <AttributeName>System.Security.AllowPartiallyTrustedCallersAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.Runtime.InteropServices.ComVisibleAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.Resources.NeutralResourcesLanguageAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.CLSCompliantAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.Resources.SatelliteContractVersionAttribute</AttributeName>
      </Attribute>
    </Attributes>
  </AssemblyInfo>
  <ThreadSafetyStatement>Gtk# is thread aware, but not thread safe; See the &lt;link location="node:gtk-sharp/programming/threads"&gt;Gtk# Thread Programming&lt;/link&gt; for details.</ThreadSafetyStatement>
  <Docs>
    <summary>To be added</summary>
    <remarks>To be added</remarks>
  </Docs>
  <Base>
    <BaseTypeName>System.SystemException</BaseTypeName>
  </Base>
  <Interfaces>
    <Interface>
      <InterfaceName>System.Runtime.Serialization.ISerializable</InterfaceName>
    </Interface>
  </Interfaces>
  <Attributes />
  <Members>
    <Member MemberName="Actor">
      <MemberSignature Language="C#" Value="public string Actor { get; };" />
      <MemberType>Property</MemberType>
      <ReturnValue>
        <ReturnType>System.String</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>To be added</summary>
        <returns>To be added: an object of type 'string'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="ClientFaultCode">
      <MemberSignature Language="C#" Value="public static System.Xml.XmlQualifiedName ClientFaultCode;" />
      <MemberType>Field</MemberType>
      <ReturnValue>
        <ReturnType>System.Xml.XmlQualifiedName</ReturnType>
      </ReturnValue>
      <Parameters></Parameters>
      <Docs>
        <summary>To be added</summary>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="DetailElementName">
      <MemberSignature Language="C#" Value="public static System.Xml.XmlQualifiedName DetailElementName;" />
      <MemberType>Field</MemberType>
      <ReturnValue>
        <ReturnType>System.Xml.XmlQualifiedName</ReturnType>
      </ReturnValue>
      <Parameters></Parameters>
      <Docs>
        <summary>To be added</summary>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="MustUnderstandFaultCode">
      <MemberSignature Language="C#" Value="public static System.Xml.XmlQualifiedName MustUnderstandFaultCode;" />
      <MemberType>Field</MemberType>
      <ReturnValue>
        <ReturnType>System.Xml.XmlQualifiedName</ReturnType>
      </ReturnValue>
      <Parameters></Parameters>
      <Docs>
        <summary>To be added</summary>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="ServerFaultCode">
      <MemberSignature Language="C#" Value="public static System.Xml.XmlQualifiedName ServerFaultCode;" />
      <MemberType>Field</MemberType>
      <ReturnValue>
        <ReturnType>System.Xml.XmlQualifiedName</ReturnType>
      </ReturnValue>
      <Parameters></Parameters>
      <Docs>
        <summary>To be added</summary>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="VersionMismatchFaultCode">
      <MemberSignature Language="C#" Value="public static System.Xml.XmlQualifiedName VersionMismatchFaultCode;" />
      <MemberType>Field</MemberType>
      <ReturnValue>
        <ReturnType>System.Xml.XmlQualifiedName</ReturnType>
      </ReturnValue>
      <Parameters></Parameters>
      <Docs>
        <summary>To be added</summary>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="Detail">
      <MemberSignature Language="C#" Value="public System.Xml.XmlNode Detail { get; };" />
      <MemberType>Property</MemberType>
      <ReturnValue>
        <ReturnType>System.Xml.XmlNode</ReturnType>
      </ReturnValue>
      <Parameters />
      <Docs>
        <summary>To be added</summary>
        <returns>a <see cref="T:System.Xml.XmlNode" /></returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="Code">
      <MemberSignature Language="C#" Value="public System.Xml.XmlQualifiedName Code { get; };" />
      <MemberType>Property</MemberType>
      <ReturnValue>
        <ReturnType>System.Xml.XmlQualifiedName</ReturnType>
      </ReturnValue>
      <Parameters />
      <Docs>
        <summary>To be added</summary>
        <returns>a <see cref="T:System.Xml.XmlQualifiedName" /></returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName=".ctor">
      <MemberSignature Language="C#" Value="public SoapException (string message, System.Xml.XmlQualifiedName code);" />
      <MemberType>Constructor</MemberType>
      <ReturnValue />
      <Parameters>
        <Parameter Name="message" Type="System.String" />
        <Parameter Name="code" Type="System.Xml.XmlQualifiedName" />
      </Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="message">a <see cref="T:System.String" /></param>
        <param name="code">a <see cref="T:System.Xml.XmlQualifiedName" /></param>
        <returns>a <see cref="T:System.Web.Services.Protocols.SoapException" /></returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName=".ctor">
      <MemberSignature Language="C#" Value="public SoapException (string message, System.Xml.XmlQualifiedName code, Exception innerException);" />
      <MemberType>Constructor</MemberType>
      <ReturnValue />
      <Parameters>
        <Parameter Name="message" Type="System.String" />
        <Parameter Name="code" Type="System.Xml.XmlQualifiedName" />
        <Parameter Name="innerException" Type="System.Exception" />
      </Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="message">a <see cref="T:System.String" /></param>
        <param name="code">a <see cref="T:System.Xml.XmlQualifiedName" /></param>
        <param name="innerException">a <see cref="T:System.Exception" /></param>
        <returns>a <see cref="T:System.Web.Services.Protocols.SoapException" /></returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName=".ctor">
      <MemberSignature Language="C#" Value="public SoapException (string message, System.Xml.XmlQualifiedName code, string actor);" />
      <MemberType>Constructor</MemberType>
      <ReturnValue />
      <Parameters>
        <Parameter Name="message" Type="System.String" />
        <Parameter Name="code" Type="System.Xml.XmlQualifiedName" />
        <Parameter Name="actor" Type="System.String" />
      </Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="message">a <see cref="T:System.String" /></param>
        <param name="code">a <see cref="T:System.Xml.XmlQualifiedName" /></param>
        <param name="actor">a <see cref="T:System.String" /></param>
        <returns>a <see cref="T:System.Web.Services.Protocols.SoapException" /></returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName=".ctor">
      <MemberSignature Language="C#" Value="public SoapException (string message, System.Xml.XmlQualifiedName code, string actor, Exception innerException);" />
      <MemberType>Constructor</MemberType>
      <ReturnValue />
      <Parameters>
        <Parameter Name="message" Type="System.String" />
        <Parameter Name="code" Type="System.Xml.XmlQualifiedName" />
        <Parameter Name="actor" Type="System.String" />
        <Parameter Name="innerException" Type="System.Exception" />
      </Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="message">a <see cref="T:System.String" /></param>
        <param name="code">a <see cref="T:System.Xml.XmlQualifiedName" /></param>
        <param name="actor">a <see cref="T:System.String" /></param>
        <param name="innerException">a <see cref="T:System.Exception" /></param>
        <returns>a <see cref="T:System.Web.Services.Protocols.SoapException" /></returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName=".ctor">
      <MemberSignature Language="C#" Value="public SoapException (string message, System.Xml.XmlQualifiedName code, string actor, System.Xml.XmlNode detail);" />
      <MemberType>Constructor</MemberType>
      <ReturnValue />
      <Parameters>
        <Parameter Name="message" Type="System.String" />
        <Parameter Name="code" Type="System.Xml.XmlQualifiedName" />
        <Parameter Name="actor" Type="System.String" />
        <Parameter Name="detail" Type="System.Xml.XmlNode" />
      </Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="message">a <see cref="T:System.String" /></param>
        <param name="code">a <see cref="T:System.Xml.XmlQualifiedName" /></param>
        <param name="actor">a <see cref="T:System.String" /></param>
        <param name="detail">a <see cref="T:System.Xml.XmlNode" /></param>
        <returns>a <see cref="T:System.Web.Services.Protocols.SoapException" /></returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName=".ctor">
      <MemberSignature Language="C#" Value="public SoapException (string message, System.Xml.XmlQualifiedName code, string actor, System.Xml.XmlNode detail, Exception innerException);" />
      <MemberType>Constructor</MemberType>
      <ReturnValue />
      <Parameters>
        <Parameter Name="message" Type="System.String" />
        <Parameter Name="code" Type="System.Xml.XmlQualifiedName" />
        <Parameter Name="actor" Type="System.String" />
        <Parameter Name="detail" Type="System.Xml.XmlNode" />
        <Parameter Name="innerException" Type="System.Exception" />
      </Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="message">a <see cref="T:System.String" /></param>
        <param name="code">a <see cref="T:System.Xml.XmlQualifiedName" /></param>
        <param name="actor">a <see cref="T:System.String" /></param>
        <param name="detail">a <see cref="T:System.Xml.XmlNode" /></param>
        <param name="innerException">a <see cref="T:System.Exception" /></param>
        <returns>a <see cref="T:System.Web.Services.Protocols.SoapException" /></returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
  </Members>
</Type>